
ChiliProject - Bug # 356: Clicking on login while logged-in logs you out

Status: Closed Priority: Normal
Author: Romano Licker Category: User accounts
Created: 2011-04-29 Assignee: Holger Just
Updated: 2011-12-18 Due date:
Remote issue URL:
Affected version:
Description: This behavior is very unusual. 

Is this really wanted?

History
2011-07-02 01:27 am - Tom Rochette
I'd agree with you that login in while already logged should not log you out. I propose https://github.com/chiliproject/chiliproject/pull/81 to fix this.

Instead of logging out, it will redirect you to the home page if you attempt to access the log page again.

2011-07-31 05:49 pm - Tom Rochette
- Status changed from Open to Ready for review

2011-10-03 08:49 am - Felix Schäfer
- Status changed from Ready for review to Open

Tom Rochette wrote:
> I'd agree with you that login in while already logged should not log you out. I propose https://github.com/chiliproject/chiliproject/pull/81 to fix this.
> 
> Instead of logging out, it will redirect you to the home page if you attempt to access the log page again.

I think I can live with that, but your pull request has some stray commits, care to rebase it to current master?

2011-12-16 08:26 pm - Eric Davis
- Category changed from User interface to User accounts

2011-12-18 07:00 pm - Holger Just
- Target version set to 2.6.0

- Assignee set to Holger Just

- Status changed from Open to Closed

Extracted for commit from the pull request and applied it as commit:b135162.

Thanks for your contribution, Tom.
